Get All Attendee Details

This API will return all attendee details from a list of user-id.

API accepts user-ids & EventUrl in request parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
idContains the unique attendee id of the attendee to save in attendee DB.
userIdContains the unique user id of the attendee of the event.
firstNameContains the first name of the attendee.
lastNameContains the last name of the attendee.
pronounsContains pronouns of attendee like she/hers, he/his, they/them.
photoContains the unique value of the attendee photo which is fetched from the cloud.
coverPhotoContains the unique value of the attendee cover photo which is fetched from the cloud.
acceptDirectMessagesContains a boolean value if the attendee can accept direct messages from other attendees or not.
acceptMeetingRequestsContains a value if the attendee can accept meeting requests from other attendees or not.
Values are EVERY_ONE, NO_ONE, MY_CONNECTION
showContactInfoContains a boolean value if the user can show contact info to other attendees.
companyContains the company name of the attendee.
titleContains the job title of the attendee.
timezoneIdContains the timezone id of attendee based on their location.
equivalentTimezoneContains the equivalent timezone id of attendees where they participated in an event.
statusContains the status of the connection request like ACCEPT, REJECT, REQUESTED
rejectedByContains the id of the attendee who rejects the request of the attendee.
eventIdContains the current event id of the attendee.
videoIntroContains a video introduction link of attendee.
extraInfoContains an extra information link of attendee.
interestsContains an interest list of attendee.
availabilityDurationContains availability duration of attendee for meetings.
requestContains boolean value if attendee sent request or not.
instagramContains the Instagram profile link of the attendee.
facebookContains the Facebook profile link of the attendee.
twitterIt contains a Twitter profile link of the attendee
linkedInContains the LinkedIn profile link of the attendee.
availabilityStartTimeContains availability start time of attendee for meeting.
availabilityEndTimeContains availability end time of attendee for meeting.
availabilityTimezoneIdContains availability timezone id for when attendee is available for meeting.
showProfileContains a boolean value if attendee wants to show profile or not.
rulesContains attendee list of their own availability rule.
meetingAvailabilitySettedContains boolean value if 'true' then attendee is set available for meeting.
emailNotificationContains attendees who want to receive an email notification when they are offline and someone sends connect or meeting request. When value returns as 'true' attendee will receive email.
allowCallsAndVideosFromNotConnectedAttendeesContains boolean value if the attendee can receive allow calls and videos from not connected attendees.
exposeProfileToOtherUserContains boolean value if the attendee wants to share their profile or not.
userContains the unique id of the attendee to save in attendee DB.

Error Code

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host
4040100User Not Found
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

userIds
array of int64s
required

it contains list of attendees userId for whom we want get details

userIds*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json